%define upstream_name    Text-NeatTemplate
%define upstream_version 0.1001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A fast, middleweight template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides a simple, middleweight but fast template engine,
for when you need speed rather than complex features, yet need more features
than simple variable substitution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f | xargs chmod +w

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Text

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 0.100.100-1.mga2
+ Revision: 213227
- update to 0.1001

* Tue Jan 18 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 22941
- cleaning spec file
- imported package perl-Text-NeatTemplate


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 405712
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-4mdv2009.0
+ Revision: 258618
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-3mdv2009.0
+ Revision: 246635
- rebuild
- fix summary-not-capitalized
- fix summary-ended-with-dot

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.1
+ Revision: 138068
- import perl-Text-NeatTemplate


* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.1
- first mdv release
